## orthanc-imagej 1.0.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

project(Orthanc_Import)

find_package(Java REQUIRED)
include(UseJava)

set(CMAKE_JAVA_COMPILE_FLAGS "-source" "1.6" "-target" "1.6")
set(CMAKE_JAVA_INCLUDE_PATH /usr/share/java/ij.jar)

# The name of an ImageJ plugin must contain an underscore
# http://imagejdocu.tudor.lu/doku.php?id=howto:plugins:howto_create_an_imagej_plugin_jar_file
add_jar(Orthanc_Import
  # Sources of the plugin
  ${CMAKE_SOURCE_DIR}/com/orthancserver/DicomDecoder.java
  ${CMAKE_SOURCE_DIR}/com/orthancserver/Orthanc.java
  ${CMAKE_SOURCE_DIR}/com/orthancserver/OrthancConfigurationDialog.java
  ${CMAKE_SOURCE_DIR}/com/orthancserver/OrthancConnection.java
  ${CMAKE_SOURCE_DIR}/com/orthancserver/PreviewPanel.java
  ${CMAKE_SOURCE_DIR}/com/orthancserver/SelectImageDialog.java

  # Sources of the "json-simple" toolkit
  ${CMAKE_SOURCE_DIR}/org/json/simple/ItemList.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/JSONArray.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/JSONAware.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/JSONObject.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/JSONStreamAware.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/JSONValue.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/parser/ContainerFactory.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/parser/ContentHandler.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/parser/JSONParser.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/parser/ParseException.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/parser/Yylex.java
  ${CMAKE_SOURCE_DIR}/org/json/simple/parser/Yytoken.java
  )

# Add the "plugins.config" file that is expected by ImageJ in the JAR file
add_custom_command(TARGET Orthanc_Import
  POST_BUILD
  COMMAND jar uf ${CMAKE_CURRENT_BINARY_DIR}/Orthanc_Import.jar plugins.config
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  COMMENT "Packaging the configuration file" VERBATIM
  )

=== debian/changelog ===
orthanc-imagej (1.0.0+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #772561)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 15 Dec 2014 15:55:43 +0100

=== debian/control ===
Source: orthanc-imagej
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Standards-Version: 3.9.6
Build-Depends: cmake (>= 2.8),
               default-jdk,
               debhelper (>= 9),
               imagej,
               libjson-simple-java
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-imagej/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-imagej/trunk/
Homepage: https://code.google.com/p/orthanc-imagej/

Package: orthanc-imagej
Architecture: all
Depends: ${misc:Depends},
         default-jre | openjdk-7-jre,
         imagej,
         libjson-simple-java
Recommends: orthanc
Description: ImageJ plugin to import images from Orthanc
 This ImageJ plugin allows ImageJ to browse the content of an Orthanc
 server, then import 2D/3D DICOM images from Orthanc into ImageJ.
 Orthanc is a lightweight, RESTful DICOM server for healthcare and
 medical research.
 .
 This plugin hopefully greatly simplifies the indexation of DICOM
 images when dealing with ImageJ (e.g. for quality control of DICOM
 modalities, or for pedagogical use). There is also no need to carry
 on any complex network configuration, since the plugin directly uses
 the REST API of Orthanc. This makes its installation and its use
 quite straightforward.

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
https://github.com/jodogne/Orthanc/releases .*/download/[^/]+/OrthancImageJ-(\d\S*)\.tar\.gz

## orthanc-imagej 1.1%2Bdfsg

=== debian/changelog ===
orthanc-imagej (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Updated URLs to the project, the code repository and the downloads.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 15 Apr 2016 11:44:54 +0200

=== debian/control ===
Source: orthanc-imagej
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Standards-Version: 3.9.7
Build-Depends: cmake (>= 2.8),
               default-jdk | openjdk-8-jdk,
               debhelper (>= 9),
               imagej,
               libjson-simple-java
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-imagej/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-imagej/trunk/
Homepage: http://www.orthanc-server.com/static.php?page=imagej

Package: orthanc-imagej
Architecture: all
Depends: ${misc:Depends},
         default-jre | openjdk-8-jre,
         imagej,
         libjson-simple-java
Recommends: orthanc
Description: ImageJ plugin to import images from Orthanc
 This ImageJ plugin allows ImageJ to browse the content of an Orthanc
 server, then import 2D/3D DICOM images from Orthanc into ImageJ.
 Orthanc is a lightweight, RESTful DICOM server for healthcare and
 medical research.
 .
 This plugin simplifies the indexation of DICOM images if using
 ImageJ (e.g. for quality control of DICOM modalities, or for
 pedagogical use). There is also no need to carry on any complex
 network configuration, since the plugin directly uses the REST
 API of Orthanc. This makes its installation and its use
 quite straightforward.

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
http://www.orthanc-server.com/browse.php?path=/imagej downloads/get\.php\?path=/imagej/OrthancImageJ-(\d\S*)\.tar\.gz

## orthanc-imagej 1.1+dfsg

=== debian/changelog ===
orthanc-imagej (1.1+dfsg-2) unstable; urgency=medium

  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 15:36:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

JSON_SIMPLE_JAR = /usr/share/java/json-simple.jar

%:
	dh $@ --parallel --builddirectory=Build

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_JAVA_INCLUDE_PATH=${JSON_SIMPLE_JAR}

override_dh_auto_install:
	dh_auto_install
	dh_link ${JSON_SIMPLE_JAR} usr/share/imagej/plugins/Orthanc_Import_json-simple.jar

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## orthanc-imagej 1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
   ${CMAKE_SOURCE_DIR}/com/orthancserver/OrthancConnection.java
   ${CMAKE_SOURCE_DIR}/com/orthancserver/PreviewPanel.java
   ${CMAKE_SOURCE_DIR}/com/orthancserver/SelectImageDialog.java
+  ${CMAKE_SOURCE_DIR}/com/orthancserver/HttpsTrustModifier.java
 
   # Sources of the "json-simple" toolkit
   ${CMAKE_SOURCE_DIR}/org/json/simple/ItemList.java

=== debian/changelog ===
orthanc-imagej (1.2+dfsg-6) unstable; urgency=medium

  * Reupload with the source package version known to the archive software

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 15:01:12 +0200

orthanc-imagej (1.2+dfsg-5) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake (Closes: #1113372)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 13:39:53 +0200

orthanc-imagej (1.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 21 (Closes: #1053071)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 22 Nov 2023 09:04:20 +0100

orthanc-imagej (1.2+dfsg-3) unstable; urgency=medium

  * Compatibility with OpenJDK >= 12. (Closes: #981958)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Feb 2021 15:52:59 +0100

orthanc-imagej (1.2+dfsg-2) unstable; urgency=medium

  [ Gilles Filippini ]
  * Fix to build against json-simple 3. (Closes: #960639)

  [ Sebastien Jodogne ]
  * Update Standards-Version, fix lintian

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 28 May 2020 10:39:43 +0200

orthanc-imagej (1.2+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #912363)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 31 Oct 2018 08:28:01 +0100

orthanc-imagej (1.1+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Depend on default-jre | java8-runtime at runtime (Closes: #894362)
  * Removed openjdk-8-jdk from the build dependencies

  [ Sebastien Jodogne ]
  * Updated d/upstream/metadata with new reference paper about Orthanc

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Oct 2018 02:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Standards-Version: 3.9.7
-Build-Depends: cmake (>= 2.8),
-               default-jdk | openjdk-8-jdk,
-               debhelper (>= 9),
-               imagej,
+Build-Depends: cmake,
+               default-jdk,
+               debhelper (>= 10),
+               libij-java,
                libjson-simple-java
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-imagej/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-imagej/trunk/
-Homepage: http://www.orthanc-server.com/static.php?page=imagej
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc-imagej
+Vcs-Git: https://salsa.debian.org/med-team/orthanc-imagej.git
+Homepage: https://orthanc.uclouvain.be/book/integrations/imagej.html
 
 Package: orthanc-imagej
 Architecture: all
 Depends: ${misc:Depends},
-         default-jre | openjdk-8-jre,
+         default-jre (>= 2:1.8) | java8-runtime,
          imagej,
          libjson-simple-java
 Recommends: orthanc

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-imagej/index.html OrthancImageJ-(\d\S*)\.tar\.gz
